Bug 465846 - error with qemu-img convert, converting to qcow format
error with qemu-img convert, converting to qcow format
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 465461
  Show dependency treegraph
 
Reported: 2008-10-06 13:33 EDT by David Huff
Modified: 2009-12-18 01:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huff 2008-10-06 13:33:34 EDT
Description of problem:
Using qemu-img convert,  when you can specify the output format to be qcow form a large raw disk images it fails with error:

qemu-img: Could not open 'file'

qcow2 seems to work fine.


Version-Release number of selected component (if applicable):
qemu-img-0.9.1-10.fc10.x86_64

How reproducible:
I experience with a raw disk image 2.6G

# sudo qemu-img convert -f raw sample2-sda.raw -O qcow sample2-sda.qcow


Steps to Reproduce:
1. need large raw disk image, mine is 2.6G
2.qemu-img convert -f raw sample2-sda.raw -O qcow sample2-sda.qcow
3.
  
Actual results:
qemu-img: Could not open 'sample2-sda.qcow'

Expected results:
convert to qcow image


Additional info:

Looks to be a bug - qcow2 works fine and strace shows:

 open("./t.img", O_RDWR)                 = 3
  lseek(3, 0, SEEK_END)                   = 3221225472
  lseek(3, 0, SEEK_END)                   = 3221225472
  open("t.qcow", O_WRONLY|O_CREAT|O_TRUNC, 0644) = 4
  write(4, "QFI\373\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\300\0\0\0\f"..., 48) = 48
  lseek(4, 48, SEEK_SET)                  = 48
  write(4, "\0\0\0\0\0\0\0\0"..., 8)      = 8
  ...
  close(4)                                = 0
  open("t.qcow", O_RDWR)                  = 4
  lseek(4, 0, SEEK_END)                   = 12336
  lseek(4, 0, SEEK_SET)                   = 0
  read(4, "QFI\373\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\300\0\0\0\f"..., 48) = 48
  close(4)                                = 0
  write(2, "qemu-img: "..., 10qemu-img: )           = 10
  write(2, "Could not open 't.qcow'"..., 23Could not open 't.qcow') = 23
Comment 1 Bug Zapper 2008-11-25 22:36:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2009-05-07 08:12:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2009-05-07 12:38:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2009-11-18 03:31:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:31:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.